{% extends 'base.html' %}
{% load static %}
{% load humanize %}

{% block messages %}
{% if messages %}
{% for message in messages %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
        </div>
    </div>
</div>
{% endfor %}
{% endif %}
{% endblock %}

{% block body %}


<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Pedido {{pedido.Id}}</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'ejecutivo_pedidos' %}" class="btn btn-success">Volver</a>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-4">
                            <span class="font-weight-bold">Dirección de entrega</span>
                            <br>
                            {{pedido.Cliente.Nombre}} {{pedido.Cliente.Apellido}}
                            <br>
                            {{pedido.Direccion.Nombre}}
                            <br>
                            {{pedido.Direccion.Pais}},
                            {{pedido.Direccion.Region}}
                            <br>
                            {{pedido.Direccion.Detalle}}
                        </div>
                        <div class="col-8">
                            <span class="font-weight-bold">Estado pedido</span>
                            <br>
                            {% include 'cliente/progressbar.html' %}
                            {% if pedido.Estado.Id >= 2 %}
                            <span class="font-weight-bold">Participantes: <a href="{% url 'pedido_participantes' id_pedido=pedido.Id %}">Ver participantes</a></span>
                            {% endif %}
                        </div>
                    </div>


                </div>
            </div>
            <br>
        </div>
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-striped table-bordered text-center">
                        <tr>
                            <th>Producto</th>
                            <th>Cantidad (Toneladas)</th>
                            <th>Calidad</th>
                            <th>Cantidad ofertas</th>
                            <th>Estado</th>
                            <th>Acciones</th>
                        </tr>
                        {% for i in pedido.DetallePedido %}
                        <tr>
                            <td>{{i.Producto.Nombre}}</td>
                            <td>{{i.Toneladas}}</td>
                            <td>{{i.Calidad.Nombre}}</td>
                            <td>
                                {% if i.Ofertas %}
                                {{i.Ofertas|length}}
                                {% else %}
                                No existen ofertas.
                                {% endif %}
                            </td>
                            <td>
                                {% if i.Ofertas %}


                                {% if i.SeHaEscogidoOferta %}
                                <i class="fas fa-check" style="color: green;"></i> Ya escogiste una oferta
                                {% else %}
                                <i class="fas fa-times" style="color: red"></i> Aun no escoges ninguna oferta</td>
                            {% endif %}

                            {% else %}
                            <i class="fas fa-times" style="color: red"></i> Aun no escoges ninguna oferta</td>
                            {% endif %}
                            <td>
                                {% if pedido.Estado.Id == 3 %}
                                <a href="{% url 'pedido_producto_ejecutivo' id_pedido=pedido.Id id_producto=i.Producto.Id id_calidad=i.Calidad.Id %}"
                                    class="btn btn-success btn-sm">Ver ofertas</a>
                            </td>
                            {% endif %}
                        </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>

        </div>
        <div class="col-6">
            <br>
            {% if pedido.Estado.Id == 3 %}
            {% if pedido.Completo %}
            <a href="{% url 'completar_pedido' id_pedido=pedido.Id %}" class="btn btn-success">Confirmar pedido</a>
            {% else %}
            <a href="" class="btn btn-success" data-toggle="tooltip" data-placement="top"
                title="Para confirmar el pedido primero debes escoger ofertas para cada producto.">Confirmar pedido</a>
            {% endif %}
            {% endif %}
        </div>
        <div class="col-6 text-right">
            <br>
            {% if pedido.Estado.Id > 1%}
            <h5>Total: US$ {{pedido.Total|intcomma}}</h5>
            {% endif %}
        </div>

        {% if pedido.Estado.Id == 1 %}
        <div class="col-12">
            <h3>Productores disponibles</h3>
            <h6>Selecciona a los productores que deseas invitar a este pedido.</h6>
            <div class="card card-body">
                <table class="table">
                    <tr>
                        <th>Productor</th>
                        <th>Email</th>
                        <th>Telefono</th>
                        <th>Productos ofrecidos</th>
                    </tr>
                    {% for i in productores %}
                    <form action="{% url 'invitar_pedido' id_pedido=pedido.Id %}" method="post">
                        {% csrf_token %}
                        <tr>
                            <td>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="{{i.Id}}" id="defaultCheck1"
                                        name="invitados">
                                    <label class="form-check-label" for="defaultCheck1">
                                        {{i.Nombre}} {{i.Apellido}}
                                    </label>
                                </div>
                            </td>
                            <td>{{i.Email}}</td>
                            <td>+569 {{i.Telefono}}</td>
                            <td>
                                {% for j in i.ProductosOfrecidos %}
                                {% if not forloop.last %}{{j.Producto.Nombre}},
                                {% else %}
                                {{j.Producto.Nombre}}
                                {% endif %}

                                {% endfor %}

                            </td>
                        </tr>
                        {% endfor %}
                </table>
            </div>
        </div>
        <div class="col-12">
            <br>
            <input type="submit" value="Iniciar pedido" class="btn btn-success">
            </form>
            <br><br>
        </div>
        {% endif %}
        {% if pedido.Estado.Id == 9 %}
        <div class="col-12">

            <a href="{% url 'habilitar_pago' id_pedido=pedido.Id %}" class="btn btn-success">Habilitar pago</a>
        </div>
        {% endif %}
    </div>


</div>


{% endblock %}

{% block scripts %}
<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
{% endblock %}